/* SECTIONS */

.section-80pct {
	box-sizing: border-box;
	display: inline-block;
	width: 80%;
	height: auto;
	position: relative;
}

.section-90pct {
	box-sizing: border-box;
	display: inline-block;
	width: 90%;
	height: auto;
	position: relative;
}

.section-100pct {
	box-sizing: border-box;
	display: inline-block;
	width: 100%;
	height: auto;
	position: relative;
}

.margin-top-bottom-100px {
	margin-top: 100px;
	margin-bottom: 100px;
}

.margin-top-100px {
	margin-top: 100px;
}

.margin-bottom-100px {
	margin-bottom: 100px;
}

.div-section-100pct {
	box-sizing: border-box;
	display: inline-block;
	width: 100%;
	height: auto;
	vertical-align: top;
}

.div-section-80pct {
	box-sizing: border-box;
	display: inline-block;
	width: 80%;
	height: auto;
	vertical-align: top;
}

.div-section-70pct {
	box-sizing: border-box;
	display: inline-block;
	width: 70%;
	height: auto;
	vertical-align: top;
}

.div-section-65pct {
	box-sizing: border-box;
	display: inline-block;
	width: 65%;
	height: auto;
	vertical-align: top;
}

.div-section-60pct {
	box-sizing: border-box;
	display: inline-block;
	width: 60%;
	height: auto;
	vertical-align: top;
}

.div-section-50pct {
	box-sizing: border-box;
	display: inline-block;
	width: 50%;
	height: auto;
	vertical-align: top;
}

.div-section-40pct {
	box-sizing: border-box;
	display: inline-block;
	width: 40%;
	height: auto;
	vertical-align: top;
}

.div-section-35pct {
	box-sizing: border-box;
	display: inline-block;
	width: 35%;
	height: auto;
	vertical-align: top;
}

.div-section-33pct {
	box-sizing: border-box;
	display: inline-block;
	width: 33%;
	height: auto;
	vertical-align: top;
}

.div-section-30pct {
	box-sizing: border-box;
	display: inline-block;
	width: 30%;
	height: auto;
	vertical-align: top;
}

.div-section-25pct {
	box-sizing: border-box;
	display: inline-block;
	width: 25%;
	height: auto;
	vertical-align: top;
}

.div-section-20pct {
	box-sizing: border-box;
	display: inline-block;
	width: 20%;
	height: auto;
	vertical-align: top;
}

.radio-container {
    width: 15%;
}

.container-participants {
	display: flex;
	width: 100%;
	flex-wrap: wrap;
}

.container-header-participants,  .container-header-registrations {
	display: flex;
	width: 100%;
	flex-wrap: wrap;
}

.card-header-participant, .card-header-registration {
	flex: 0 1 calc(100%);
	width: 100%;
	height: auto;
	margin: 0.3em;
	border-radius: 8px;
	text-align: left;
	padding: 10px;
	font-weight: bold;
	color: #1B5E20;
	transition: all 0.3 ease-in-out;
}

.header-course { width: 72%; box-sizing: border-box; display: inline-block; padding: 2px; }
.header-status { width: 7%; box-sizing: border-box; display: inline-block; padding: 2px; }
.header-cert-expiration { width: 20%; box-sizing: border-box; display: inline-block; padding: 2px; }
.header-firstname { width: 13.6%; box-sizing: border-box; display: inline-block; padding: 2px; text-transform: capitalize; }
.header-lastname { width: 13.6%; box-sizing: border-box; display: inline-block; padding: 2px; text-transform: capitalize; }
.header-birthday { width: 10%; box-sizing: border-box; display: inline-block; padding: 2px; }
.header-fiscalcode { width: 19%; box-sizing: border-box; display: inline-block; padding: 2px; text-transform: uppercase; }
.header-partner { width: 25%; box-sizing: border-box; display: inline-block; padding: 2px; text-transform: capitalize; }
.header-action-go-card { width: 15%; box-sizing: border-box; display: inline-block; padding: 2px; }
.header-action-expand { width: 3.5%; box-sizing: border-box; display: inline-block; padding: 2px; color: #1B5E20; }

.status-active {
	width: 20px;
	height: 20px;
	background-color: #00CC00;
	border-radius: 100%;
	box-shadow: 0 2px 20px 0 rgba(0,132,0,0.10), 0 4px 40px 0 rgba(0,132,0,0.20);
}

.status-closed {
	width: 20px;
	height: 20px;
	background-color: #0D47A1;
	border-radius: 100%;
	box-shadow: 0 2px 20px 0 rgba(158,181,217,0.10), 0 4px 40px 0 rgba(158,181,217,0.20);
}

.card-participant {
	flex: 0 1 calc(100%);
	width: 100%;
	height: 60px;
	margin: 0.3em;
	border-radius: 8px;
	text-align: left;
	padding: 15px;
	background-color: #FFFFFF;
	box-shadow: 0 2px 20px 0 rgba(109,141,173,0.10), 0 4px 40px 0 rgba(109,141,173,0.20);
}

.card-registration {
	flex: 0 1 calc(100%);
	width: 100%;
	height: 90px;
	margin: 0.3em;
	border-radius: 8px;
	text-align: left;
	padding: 15px;
	background-color: #FFFFFF;
	box-shadow: 0 2px 20px 0 rgba(109,141,173,0.10), 0 4px 40px 0 rgba(109,141,173,0.20);
}

.idle {
	display: none;
	transition: all 0.3 ease-in-out;
}

.active {
	display: block;
	transition: all 0.3 ease-in-out;
}

/* LARGE TABLETS */
@media screen and (max-width: 1024px) {
    .section-80pct {
		width: 80%;
	}
	
	.section-90pct {
		width: 90%;
	}
	
	.section-100pct {
		width: 100%;
	}
	
	.div-section-80pct {
		width: 80%;
	}
	
	.div-section-70pct {
		width: 70%;
	}
	
	.div-section-65pct {
		width: 65%;
	}
	
	.div-section-60pct {
		width: 60%;
	}
	
	.div-section-50pct {
		width: 50%;
	}
	
	.div-section-40pct {
		width: 40%;
	}
	
	.div-section-35pct {
		width: 35%;
	}
	
	.div-section-33pct {
		width: 33%;
	}
	
	.div-section-30pct {
		width: 30%;
	}
	
	.div-section-25pct {
		width: 25%;
	}
	
	.div-section-20pct {
		width: 20%;
	}

	.card-header-participant, .card-header-registration {
		flex: 0 1 auto;
		width: auto;
		overflow-x: auto;
		white-space: nowrap;
	}

	.card-participant, .card-registration {
		flex: 0 1 auto;
		width: auto;
		overflow-x: auto;
		white-space: nowrap;
	}

	.header-course { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-status { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-cert-expiration { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-firstname { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-lastname { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-birthday { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-fiscalcode { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-partner { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-action-go-card { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-action-expand { width: auto; box-sizing: border-box; display: inline-block; padding: 2px; }
}

/* MEDIUM TABLETS */
@media screen and (max-width: 767px) {
    .section-80pct {
		width: 100%;
	}
	
	.section-90pct {
		width: 100%;
	}
	
	.section-100pct {
		width: 100%;
	}
	
	.div-section-80pct {
		width: 100%;
	}
	
	.div-section-70pct {
		width: 100%;
	}
	
	.div-section-65pct {
		width: 100%;
	}
	
	.div-section-60pct {
		width: 100%;
	}
	
	.div-section-50pct {
		width: 100%;
	}
	
	.div-section-40pct {
		width: 100%;
	}
	
	.div-section-35pct {
		width: 100%;
	}
	
	.div-section-33pct {
		width: 100%;
	}
	
	.div-section-30pct {
		width: 100%;
	}
	
	.div-section-25pct {
		width: 100%;
	}
	
	.div-section-20pct {
		width: 100%;
	}
}

/* SMARTPHONES */
@media screen and (max-width: 600px) {
    .section-80pct {
		width: 100%;
	}
	
	.section-90pct {
		width: 100%;
	}
	
	.section-100pct {
		width: 100%;
	}
	
	.div-section-80pct {
		width: 100%;
	}
	
	.div-section-70pct {
		width: 100%;
	}
	
	.div-section-65pct {
		width: 100%;
	}
	
	.div-section-60pct {
		width: 100%;
	}
	
	.div-section-50pct {
		width: 100%;
	}
	
	.div-section-40pct {
		width: 100%;
	}
	
	.div-section-35pct {
		width: 100%;
	}
	
	.div-section-33pct {
		width: 100%;
	}
	
	.div-section-30pct {
		width: 100%;
	}
	
	.div-section-25pct {
		width: 100%;
	}
	
	.div-section-20pct {
		width: 100%;
	}

	.radio-container {
		width: 40%;
	}

	.card-header-participant, .card-header-registration {
		flex: 0 1 auto;
		width: auto;
		overflow-x: auto;
		white-space: nowrap;
	}

	.card-participant, .card-registration {
		flex: 0 1 auto;
		width: auto;
		overflow-x: auto;
		white-space: nowrap;
	}

	.header-course { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-status { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-cert-expiration { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-firstname { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-lastname { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-birthday { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-fiscalcode { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-partner { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-action-go-card { width: auto; box-sizing: border-box; display: inline-block; padding: 5px; }
	.header-action-expand { width: auto; box-sizing: border-box; display: inline-block; padding: 2px; }
}